Update global customer

Update a global customer object with complete replacement of all fields. All fields must be provided (use PATCH for partial updates). ⚠️ IMPORTANT: Use the DeliveryLocation ID (not Customer ID) to update the object.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

A UUID string identifying this Lieu de livraison.

Body Params

Serializer global pour l'API simplifiée - gestion atomique de :
Customer + DeliveryLocation + LocationContact + LocationOpeningHours

⚠️ IMPORTANT : L'ID utilisé est celui de la DeliveryLocation, pas du Customer !
Cela permet une logique plus cohérente où la DeliveryLocation est l'objet principal.

Cas d'usage : 1 lieu = 1 client + 1 contact + horaires

string
enum
required

Type de client : 'individual' ou 'company'

  • individual - Particulier
  • company - Entreprise
Allowed:
string
length ≥ 1

⚠️ DEPRECATED: Utilisez le champ 'emails' pour plusieurs adresses

string
length between 1 and 20

⚠️ DEPRECATED: Utilisez le champ 'phones' pour plusieurs numéros

string

Liste des adresses email (format: ['[email protected]', '[email protected]'])

string

Liste des numéros de téléphone (format: ['+33123456789', '+33987654321'])

string
length between 1 and 255

Nom de l'entreprise (requis si customer_type='company')

string
length ≤ 14

Numéro SIRET de l'entreprise

string
length between 1 and 20

Numéro de TVA

string
length between 1 and 100

Prénom (requis si customer_type='individual')

string
length between 1 and 100

Nom de famille (requis si customer_type='individual')

string
length ≥ 1

Adresse de facturation

string
length between 1 and 10

Code postal de facturation

string
length between 1 and 100

Ville de facturation

string
length between 1 and 2
Defaults to FR

Pays de facturation (code ISO 2 lettres)

string
length between 1 and 255

Référence externe pour identifier le client

string
length between 1 and 255

ID externe pour identifier le client

boolean
Defaults to true

Client actif

string
length ≥ 1

Notes sur le client

delivery_location
object
required

Données du lieu de livraison

contact
object

Données du contact sur site (optionnel)

opening_hours
array of objects

Liste des horaires d'ouverture (max 2 tranches par jour)

opening_hours
Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json